%define gluname			mesaglu
%define glumajor		1
%define libgluname		%mklibname %{gluname} %{glumajor}
%define libgluname_virt		lib%{gluname}

%define distname		%{name}-%{version}

Summary:	OpenGL Utility Library from Mesa
Name:		glu
Version:	9.0.3
Release:	%mkrel 1
Source0:	%{distname}.tar.xz
License:	MIT
Group:		System/Libraries
Url:		http://www.mesa3d.org/
BuildRequires:	mesagl-devel

%description
GLU is the OpenGL Utility Library.
It provides a number of functions upon the base OpenGL library to provide
higher-level drawing routines from the more primitive routines provided by
OpenGL.

%package -n	%{libgluname}
Summary:	Files for Mesa (GLU libs)
Group:		System/Libraries
Provides:	%{libgluname_virt} = %{version}-%{release}

%package -n	%{libgluname}-devel
Summary:	Development files for GLU libs
Group:		Development/Libraries
Requires:	%{libgluname} = %{version}-%{release}
Requires:	mesagl-devel
Provides:	lib%{gluname}-devel = %{version}-%{release}
Provides:	%{gluname}-devel = %{version}-%{release}
Provides:	libMesaGLU-devel = %{version}-%{release}
Provides:	MesaGLU-devel = %{version}-%{release}
Provides:	libglu-devel

%description -n	%{libgluname}
GLU is the OpenGL Utility Library.
It provides a number of functions upon the base OpenGL library to provide
higher-level drawing routines from the more primitive routines provided by
OpenGL.

%description -n	%{libgluname}-devel
This package contains the headers needed to compile programs with GLU.

%prep
%setup -q -n %{distname}

%build
export LDFLAGS="-L/usr/lib64/libglvnd $LDFLAGS"
export CFLAGS="$CFLAGS -O3 -pipe -ffast-math"
%meson -D default_library=shared -Dgl_provider=gl --buildtype=release
%meson_build

%install
%meson_install
# .la files are not needed by mesa
find %{buildroot} -name '*.la' -exec rm {} \;

%files -n %{libgluname}
%defattr(-,root,root)
%{_libdir}/libGLU.so.%{glumajor}*

%files -n %{libgluname}-devel
%defattr(-,root,root)
%{_includedir}/GL/glu.h
%{_libdir}/libGLU.so
%{_libdir}/pkgconfig/glu.pc


%changelog
* Tue Oct 24 2023 tex - 9.0.3-1pclos2023
- new version

* Tue Jun 29 2021 tex - 9.0.2-2pclos2021
- rebuild against updates

* Sun Jun 27 2021 tex - 9.0.2-1pclos2021
- new version

* Sat Jul 27 2019 tex - 9.0.1-1pclos2019
- new version

* Sat Apr 15 2017 bb2 <bb2> - 9.0.0-4pclos2017
- rebuild for 2017

